package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import org.codehaus.jackson.annotate.JsonIgnore;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
public class VipGroupSalaryBaseInfo {

    @ApiModelProperty(value = "预计课酬总额")
    @JsonIgnore
    private BigDecimal expectTotalSalary;

    @ApiModelProperty(value = "扣费笔数")
    private Integer feeDeductionNum;

    @ApiModelProperty(value = "扣费总额")
    private BigDecimal totalFeeDeduction;

    @ApiModelProperty(value = "课酬总额")
    private BigDecimal totalSalary;

    @ApiModelProperty(value = "课程总价")
    private BigDecimal totalCoursePrice;

    @ApiModelProperty(value = "教师线上课总课酬")
    private BigDecimal totalOnlineTeacherSalary;

    @ApiModelProperty(value = "教师线下课总课酬")
    private BigDecimal totalOfflineTeacherSalary;

    public BigDecimal getTotalCoursePrice() {
        return totalCoursePrice;
    }

    public void setTotalCoursePrice(BigDecimal totalCoursePrice) {
        this.totalCoursePrice = totalCoursePrice;
    }

    public BigDecimal getTotalOnlineTeacherSalary() {
        return totalOnlineTeacherSalary;
    }

    public void setTotalOnlineTeacherSalary(BigDecimal totalOnlineTeacherSalary) {
        this.totalOnlineTeacherSalary = Objects.isNull(totalOnlineTeacherSalary)?new BigDecimal(0):totalOnlineTeacherSalary;
    }

    public BigDecimal getTotalOfflineTeacherSalary() {
        return totalOfflineTeacherSalary;
    }

    public void setTotalOfflineTeacherSalary(BigDecimal totalOfflineTeacherSalary) {
        this.totalOfflineTeacherSalary = Objects.isNull(totalOfflineTeacherSalary)?new BigDecimal(0):totalOfflineTeacherSalary;
    }

    public BigDecimal getExpectTotalSalary() {
        return expectTotalSalary;
    }

    public void setExpectTotalSalary(BigDecimal expectTotalSalary) {
        this.expectTotalSalary = expectTotalSalary;
    }

    public Integer getFeeDeductionNum() {
        return feeDeductionNum;
    }

    public void setFeeDeductionNum(Integer feeDeductionNum) {
        this.feeDeductionNum = feeDeductionNum;
    }

    public BigDecimal getTotalFeeDeduction() {
        return totalFeeDeduction;
    }

    public void setTotalFeeDeduction(BigDecimal totalFeeDeduction) {
        this.totalFeeDeduction = totalFeeDeduction;
    }

    public BigDecimal getTotalSalary() {
        return totalSalary;
    }

    public void setTotalSalary(BigDecimal totalSalary) {
        this.totalSalary = totalSalary;
    }
}
